Bug 870106 - (CVE-2012-4538) CVE-2012-4538 kernel: xen: Unhooking empty PAE entries can crash Xen
CVE-2012-4538 kernel: xen: Unhooking empty PAE entries can crash Xen
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20121113,repor...
: Security
Depends On: 876205
Blocks: 870154
  Show dependency treegraph
 
Reported: 2012-10-25 10:48 EDT by Petr Matousek
Modified: 2013-04-15 10:23 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-15 10:23:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2012-10-25 10:48:22 EDT
The HVMOP_pagetable_dying hypercall does not correctly check the caller's pagetable state, leading to a hypervisor crash.

An HVM guest running on shadow pagetables (that is, not HAP) can cause the hypervisor to crash.

Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.
Comment 2 Paolo Bonzini 2012-10-25 11:00:52 EDT
RHEL5 is not affected.
Comment 3 Petr Matousek 2012-10-25 12:18:38 EDT
Statement:

Not vulnerable.

This issue did not affect the versions of the kernel-xen package as shipped with Red Hat Enterprise Linux 5.

This issue did not affect Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG as we did not have support for Xen hypervisor.
Comment 4 Petr Matousek 2012-11-13 09:48:06 EST
Created xen tracking bugs for this issue

Affects: fedora-all [bug 876205]
Comment 5 Fedora Update System 2012-11-22 21:55:36 EST
xen-4.1.3-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-11-22 21:59:15 EST
xen-4.1.3-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-11-23 02:20:47 EST
xen-4.2.0-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.